# API Reference

## <mark style="color:blue;">Overview</mark>

Once the containerized API is set up, it's time to get familiar with the endpoints and the specifications required to process requests. There are many languages that can be used to access the endpoints. Its important for users to be comfortable with best practices for using APIs in their language of choice. &#x20;

Some examples of convenience packages used in various languages include:

| Language   | Package  | Reference                                                                                      |
| ---------- | -------- | ---------------------------------------------------------------------------------------------- |
| Javascript | axios    | [Circleci Blog](https://circleci.com/blog/making-http-requests-with-axios/)                    |
| Python     | requests | [Real Python](https://realpython.com/api-integration-in-python/)                               |
| Golang     | http     | [Go Dev](https://pkg.go.dev/net/http)                                                          |
| Java       | spring   | [Spring Docs](https://docs.spring.io/spring-framework/reference/integration/rest-clients.html) |
| Scala      | http4s   | [http4s Github](https://github.com/http4s/http4s)                                              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.premia.blue/developer-center/apis/containerized-api/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
